Package org.apache.sling.contentparser.testutils.mapsupport

## Class ContentElementHandler

- java.lang.Object
- - org.apache.sling.contentparser.testutils.mapsupport.ContentElementHandler

All Implemented Interfaces:
  `org.apache.sling.contentparser.api.ContentHandler`

    public final class ContentElementHandler
    extends java.lang.Object
    implements org.apache.sling.contentparser.api.ContentHandler

`ContentHandler` implementation that produces a tree of `ContentElement` items.

### Constructor Summary

Constructors
`ContentElementHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentElement` `getRoot()`
`void` `resource​(java.lang.String path, java.util.Map<java.lang.String,​java.lang.Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentElementHandler

    public ContentElementHandler()

### Method Detail

#### resource

    public void resource​(java.lang.String path,
                         java.util.Map<java.lang.String,​java.lang.Object> properties)

Specified by:
  `resource` in interface `org.apache.sling.contentparser.api.ContentHandler`

#### getRoot

    public ContentElement getRoot()